%global gem_name erubis
Summary:             A fast and extensible eRuby implementation
Name:                rubygem-%{gem_name}
Version:             2.7.0
Release:             3
License:             MIT
URL:                 http://www.kuwata-lab.com/erubis/
Source0:             https://rubygems.org/downloads/%{gem_name}-%{version}.gem
Source1:             %{gem_name}-%{version}-public_html.tgz
Patch0:              rubygem-erubis-2.7.0-ruby-2.0-compatibility.patch
Patch1:              rubygem-erubis-2.7-Add-support-for-Ruby-2.1.patch
Patch2:              rubygem-erubis-2.7.0-Add-support-for-Ruby-2.2.patch
Patch3:              rubygem-erubis-2.7.0-Add-support-for-Ruby-2.3.patch
Patch4:              rubygem-erubis-2.7.0-Add-support-for-Ruby-2.4.patch
Patch5:              rubygem-erubis-2.7.0-Add-support-for-Ruby-2.5.patch
Patch6:              rubygem-erubis-2.7.0-Add-support-for-Ruby-3.0.patch
BuildRequires:       rubygems-devel ruby(release) rubygem(test-unit)
BuildArch:           noarch
%description
Erubis is a very fast, secure, and extensible implementation of eRuby.

%package doc
Summary:             Documentation for %{name}
License:             MIT and BSD
Requires:            %{name} = %{version}-%{release}
%description doc
This package contains documentation for %{name}.

%prep
mkdir -p .%{_bindir}
%gem_install -n %{SOURCE0}
pushd .%{gem_instdir}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
mkdir -p %{buildroot}%{_bindir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
cp -a .%{_bindir}/* %{buildroot}%{_bindir}/
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
find %{buildroot}%{gem_instdir}/{bin,contrib} -type f | \
  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/ruby"'
find %{buildroot}%{gem_instdir}/benchmark -type f | \
  xargs -n 1 sed -i  -e '/^#!\/usr\/bin\/env ruby/d'

%check
export GEM_PATH=%{buildroot}%{gem_dir}:%{gem_dir}
export PATH=%{buildroot}%{_bindir}:$PATH
pushd .%{gem_instdir}
tar xzf %{SOURCE1}
mv test/data/users-guide/{E,e}xample.ejava
sed -i '/^  def test_untabify2/,/^  end$/ s/^/#/' test/test-main.rb
ruby -I.:lib -e "Dir.glob('./test/test-*.rb').each {|t| require t}"
popd

%files
%{_bindir}/erubis
%doc %{gem_instdir}/CHANGES.txt
%doc %{gem_instdir}/MIT-LICENSE
%doc %{gem_instdir}/README.txt
%dir %{gem_instdir}
%exclude %{gem_instdir}/setup.rb
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%{gem_instdir}/benchmark
%{gem_instdir}/test
%{gem_instdir}/examples
%{gem_instdir}/contrib
%exclude %{gem_instdir}/doc-api
%{gem_instdir}/doc
%{gem_docdir}

%changelog
* Thu Feb 24 2022 baizhonggui <baizhonggui@huawei.com> - 2.7.0-3
- Add support for ruby 3.0

* Wed Sep 9 2020 Ge Wang <wangge20@huawei.com> - 2.7.0-2
- Modify Source0 Url

* Sat Jul 25 2020 wutao <wutao61@huawei.com> - 2.7.0-1
- package init
